/*
** Module   : WidthCharable.java
** Abstract : Defines getter for character width of a field
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description----------------------------------
** 001 ECF 20130218 Created initial version.
*/

package com.goldencode.p2j.util;

/**
 * @author ecf
 *
 */
public interface WidthCharable
{
   /**
    * Get the WIDTH-CHARS Progress attribute. The value is equal to the current component char
    * width.
    *
    * @return   The integer value of the WIDTH-CHARS Progress attribute.
    */
   public integer getWidthChars();
}
