
/*
** Module   : WriteablePrivateData.java
** Abstract : Define getter and setter for PRIVATE-DATA attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 VMN 20130217 Created initial version.
*/

package com.goldencode.p2j.util;

public interface WriteablePrivateData
extends PrivateData
{
    /**
    * Setter for PRIVATE-DATA attribute.
    *
    * @param    data
    *           The new value of PRIVATE-DATA attribute.
    */
   public void setPrivateData(character data);

   /**
    * Setter for PRIVATE-DATA attribute.
    *
    * @param    data
    *           The new value of PRIVATE-DATA attribute.
    */
   public void setPrivateData(String data);

}

